/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mail.store;

import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author Michael Barker <mailto:mike@middlesoft.co.uk>
 *
 */
public interface StoreItem
{
   /**
    * Get a unique idenfifier for this Stream Store.
    * @return
    */
   public Object getId();
   
   /**
    * Get a input stream that will the data from the store.
    * @return
    * @throws StoreException 
    */
   public InputStream getInputStream() throws StoreException;
   
   /**
    * Get an output stream that can be used to write information
    * back to the store.
    * 
    * TODO: Is this required, should stream store objects be immutable.
    * 
    * @return
    * @throws StoreException 
    */
   public OutputStream getOuputStream() throws StoreException;
   
   /**
    * Reads an input stream to the end stores it.
    * 
    * TODO: Should stream store objects be immutable, should this be part
    * of the factory.
    * 
    * @param in
    */
   public void read(InputStream in);
}
