
/*
 * Created on Jan 1, 2005
 *
 */
package org.jboss.mail.store;

import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author Michael Barker <mailto:mike@middlesoft.co.uk>
 *
 */
public class StoreItemImpl implements StoreItem
{
   private Object id;
   private Store store;

   
   /**
    * Initialises a JDBC3 stream.  Will not create the necessary StoreItem
    * as it will be supplied with an id, therefore it is expected
    * that the StoreItem already exists.
    * 
    * @param dsName
    * @param id
    * @throws StoreException
    */
   public StoreItemImpl(Object id, Store store) throws StoreException
   {
      this.id = id;
      this.store = store;
   }
   

   /* (non-Javadoc)
    * @see org.jboss.mail.store.Stream#getId()
    */
   public Object getId()
   {
      return id;
   }

   /* (non-Javadoc)
    * @see org.jboss.mail.store.Stream#getInputStream()
    */
   public InputStream getInputStream() throws StoreException
   {
      return store.getInputStream(id);
   }

   /* (non-Javadoc)
    * @see org.jboss.mail.store.Stream#getOuputStream()
    */
   public OutputStream getOuputStream() throws StoreException
   {
      return store.getOuputStream(id);
   }

   /* (non-Javadoc)
    * @see org.jboss.mail.store.Stream#read(java.io.InputStream)
    */
   public void read(InputStream in)
   {
      store.read(id, in);
   }
   
}
