/*
 * Created on Jan 16, 2005
 *
 */
package org.jboss.mail.store;

/**
 * MetaData for the item kept in the store.
 * 
 * @author Michael Barker <mailto:mike@middlesoft.co.uk>
 *
 */
public class StoreItemMetaData
{
   private boolean compressed;
   private Object id;
   private long size;
   private long startIndex;
   
   public StoreItemMetaData(Object id, long size, boolean compressed, long startIndex)
   {
      this.id = id;
      this.size = size;
      this.compressed = compressed;
      this.startIndex = startIndex;
   }
   
   /**
    * @return Returns the compressed.
    */
   public boolean isCompressed()
   {
      return compressed;
   }
   /**
    * @return Returns the id.
    */
   public Object getId()
   {
      return id;
   }
   /**
    * @return Returns the size.
    */
   public long getSize()
   {
      return size;
   }
   
   public long getStartIndex()
   {
      return startIndex;
   }
}
