/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mail.store.bdb;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.io.Serializable;

import org.jboss.mail.store.StoreException;

/**
 * @author Michael Barker <mailto:mike@middlesoft.co.uk>
 *
 */
public class BDBStoreUtil
{

   static boolean byteToBoolean(byte b)
   {
      return b != 0;
   }
   
   static byte booleanToByte(boolean b)
   {
      if (b)
      {
         return (byte) 1;
      }
      else
      {
         return (byte) 0;
      }
   }
   
   
   static byte[] toBytes(Object o) throws StoreException
   {
      if (o instanceof byte[])
      {
         return (byte[]) o;
      }
      else if (o instanceof String)
      {
         return ((String) o).getBytes();
      }
      else if (o instanceof Serializable)
      {
         try
         {
            ByteArrayOutputStream baos = new ByteArrayOutputStream();
            ObjectOutputStream oos = new ObjectOutputStream(baos);
            oos.writeObject(o);
            return baos.toByteArray();
         }
         catch (IOException e)
         {
            throw new StoreException(e);
         }
      }
      else
      {
         throw new StoreException("Object of class: " + o.getClass().getName() + " is not usable as a key");
      }
   }
   
}
