/*
 * Created on Jan 22, 2005
 *
 */
package org.jboss.mail.store.jdbc3;

import java.io.IOException;
import java.io.OutputStream;
import java.sql.Connection;

import org.apache.commons.dbutils.DbUtils;

/**
 * @author Michael Barker <mailto:mike@middlesoft.co.uk>
 *
 */
public class WrappedOutputStream extends OutputStream
{
   private OutputStream out;
   protected Connection cn;

   public WrappedOutputStream(OutputStream out, Connection cn)
   {
      this.out = out;
      this.cn = cn;
   }
   
   
   /* (non-Javadoc)
    * @see java.lang.Object#hashCode()
    */
   public int hashCode()
   {
      return out.hashCode();
   }
   /* (non-Javadoc)
    * @see java.io.OutputStream#close()
    */
   public void close() throws IOException
   {
      try
      {
         out.close();         
      }
      finally
      {
         DbUtils.closeQuietly(cn);
      }
   }
   /* (non-Javadoc)
    * @see java.io.OutputStream#flush()
    */
   public void flush() throws IOException
   {
      out.flush();
   }
   /* (non-Javadoc)
    * @see java.lang.Object#toString()
    */
   public String toString()
   {
      return out.toString();
   }
   /* (non-Javadoc)
    * @see java.lang.Object#equals(java.lang.Object)
    */
   public boolean equals(Object arg0)
   {
      return out.equals(arg0);
   }
   /**
    * @param arg0
    * @throws java.io.IOException
    */
   public void write(int arg0) throws IOException
   {
      out.write(arg0);
   }
   /* (non-Javadoc)
    * @see java.io.OutputStream#write(byte[])
    */
   public void write(byte[] arg0) throws IOException
   {
      out.write(arg0);
   }
   /* (non-Javadoc)
    * @see java.io.OutputStream#write(byte[], int, int)
    */
   public void write(byte[] arg0, int arg1, int arg2) throws IOException
   {
      out.write(arg0, arg1, arg2);
   }
}
