/*
 * Created on Jan 23, 2005
 *
 */
package org.jboss.mail.store.postgresql;

import java.io.IOException;
import java.io.OutputStream;
import java.sql.Connection;
import java.sql.SQLException;

import org.jboss.mail.store.jdbc3.WrappedOutputStream;
import org.postgresql.largeobject.LargeObject;

/**
 * @author Michael Barker <mailto:mike@middlesoft.co.uk>
 *
 */
public class PGWrappedOutputStream extends WrappedOutputStream
{
   private LargeObject blob;

   public PGWrappedOutputStream(OutputStream out, Connection cn, LargeObject blob)
   {
      super(out, cn);
      this.blob = blob;
   }
   
   /**
    * TODO: We need to track if an exception occured in order to rollback if necessary
    */
   public void close() throws IOException
   {
      try
      {
         cn.commit();
      }
      catch (SQLException e)
      {
         throw new IOException(e.getMessage());
      }
   }
}
