/*
 * Created on Jan 5, 2005
 *
 */
package org.jboss.mail.store.bdb;

import java.io.File;

import com.sleepycat.je.Database;
import com.sleepycat.je.DatabaseConfig;
import com.sleepycat.je.DatabaseException;
import com.sleepycat.je.Environment;
import com.sleepycat.je.EnvironmentConfig;

/**
 * @author Michael Barker <mailto:mike@middlesoft.co.uk>
 *
 */
public class TestBDBUtil
{
   public static Database getDatabase() throws DatabaseException
   {
      String dirName = System.getProperty("java.io.tmpdir");
      if (dirName == null)
      {
         throw new RuntimeException("java.io.tmpdir undefined");
      }
      dirName += File.separator + "jbmail";
      File dir = new File(dirName);
      
      if (!dir.exists())
      {
         dir.mkdirs();
      }
      
      EnvironmentConfig config = new EnvironmentConfig();
      config.setAllowCreate(true);
      Environment env = new Environment(dir, config);
      
      DatabaseConfig dbConfig = new DatabaseConfig();
      dbConfig.setAllowCreate(true);
      
      return env.openDatabase(null, "jbmail", dbConfig);
   }

}
