/*
 * Created on Jan 22, 2005
 *
 */
package org.jboss.mail.store.jdbc3;

import org.jboss.mail.store.StoreException;
import org.jboss.mail.store.TestUtil;

/**
 * @author Michael Barker <mailto:mike@middlesoft.co.uk>
 *
 */
public class StoreConfigurations
{
   public static JDBC3Store getStoreMySQL() throws StoreException
   {
      JDBC3Store store = new JDBC3Store();
      store.setBufferSize(1024 * 1024);
      store.setCompress(false);
      store.setCompressBufferSize(8192);
      store.setDataSource(TestUtil.getDataSource("com.mysql.jdbc.Driver", "jdbc:mysql://localhost/jboss?emulateLocators=true", "jboss", "jboss"));
      //store.setDataSource(TestUtil.getDataSource("com.mysql.jdbc.Driver", "jdbc:mysql://localhost/jboss", "jboss", "jboss"));
      store.setCreateStatement("CREATE TABLE MAIL_STORE (ID VARCHAR(255) PRIMARY KEY, ISCOMPRESSED CHAR(1), BLOB_DATA LONGBLOB)");
      store.setInsertStatement("INSERT INTO MAIL_STORE (ID, ISCOMPRESSED, BLOB_DATA) VALUES (?, ?, '')");
      store.setReadStatement("SELECT ID, ISCOMPRESSED, 'BLOB_DATA' AS DATA FROM MAIL_STORE WHERE ID = ?");
      store.setWriteStatement("SELECT ID, ISCOMPRESSED, 'BLOB_DATA' AS DATA FROM MAIL_STORE WHERE ID = ?");
      store.setIdColumn("ID");
      store.setBlobColumn("DATA");
      store.setCompressedColumn("ISCOMPRESSED");
      store.setMaxBlockSize(1024 * 1024);
      store.setTableName("MAIL_STORE");
      store.setUseStreams(false);
      store.setDisconnected(true);
      
      store.validate();
      store.init();
      //store.setDatasource("java:mailDS");
      
      return store;
   }  
}
